Bug 119984 - ATI driver with DRI module will not load
ATI driver with DRI module will not load
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2004-04-04 13:20 EDT by Robert Thomas
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-06 02:18:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Thomas 2004-04-04 13:20:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040331

Description of problem:
I compiled and installed (FC1) xorg-0.6.6-0.2004_03_30.1.  I have an ATI 
Mobility 7500 video chip in my laptop.  If I try to load the DRI
module, I 
get the following error (non-dri works):

Symbol gnu_dev_makedev from module
/usr/X11R6/lib/modules/linux/libdrm.a is 

Fatal Server error:
Caught signal 4.  Server aborting

Any help greatly appreciated.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Download xorg
2.  Compile xorg
3.  Install xorg
4.  XF86Config = Load DRI

Actual Results:  Symbol gnu_dev_makedev from module
/usr/X11R6/lib/modules/linux/libdrm.a is 

Fatal Server error:
Caught signal 4.  Server aborting

Expected Results:  X server to start.

Additional info:
Comment 1 Donnie Berkholz 2004-04-05 21:33:13 EDT
Not sure how I managed to remove dkl@redhat.com as QA contact, must be
a bug in bugzilla. Just trying to add myself to CC. Sorry about that
-- could someone re-add? I don't have the capability.
Comment 2 Mike A. Harris 2004-04-06 01:56:56 EDT
It is a bug in bugzilla.  ;o)

The QA contact field is now empty below, and does not have a text
box beside it with which to add it back.  I've added dkl to the CC
field instead.  Coincidentally, dkl is our bugzilla maintainer,
so...  ;o)

<conspiracy theory> It seems that the bug in bugzilla that triggers
this, only ever removes "dkl" from the QA contact fields.  Hmmm....
I wonder...   <evil grin>  ;o)  </conspiracy theory>

Comment 3 Mike A. Harris 2004-04-06 02:18:09 EDT
I just noticed that this bug was filed against Fedora Core 1, not
Fedora Core 2 test2.  We do not support xorg-x11 installed on
Fedora Core 1 at all.

>Steps to Reproduce:
>1.  Download xorg
>2.  Compile xorg
>3.  Install xorg

We also do not support user compiled packages.  Download Fedora
Core 2 test2 ISO CD images and either do a fresh OS install on a 
clean hard disk partition, or do an upgrade from whichever OS
release you are using, to the current FC2 test2 release.

Please do not file bug reports against packages that you have
recompiled yourself.


Closing as "NOTABUG".
Comment 4 Robert Thomas 2004-04-06 02:33:37 EDT
Uh, FC2 Test 2 CD is a no boot.  Uh, its just a recompile of the src
rpm that you maintain from the development depository.  So its really
not *user compiled*, unless you count yourself as a user.  Uh, you do
expect people to recompile the src rpm's, isn't that why they are
provided?  Uh, didn't you state in previous mailing lists that you
wanted testing on both FC1 and FC2?

Comment 5 Mike A. Harris 2004-04-06 02:56:18 EDT
> Uh, FC2 Test 2 CD is a no boot.

If you're not able to boot FC2t2 in any way, then you can try
installing directly from rawhide via instructions somewhere on
the http://fedora.redhat.com website if you wish.  I don't have
a direct URL handy unfortunately.  Alternatively you can ask on
fedora-test-list@redhat.com how to do a direct install from

If that fails, then I guess all you can really do is wait for
Fedora Core 2 test3 release, and hopefully whatever is preventing
you from installing will be fixed by then.

>Uh, its just a recompile of the src rpm that you maintain from the
>development depository.  So its really not *user compiled*, unless
>you count yourself as a user.

If you have recompiled the packages from src.rpm, then we do not
support the resulting binary packages in any way.  If you have
problems of any kind while using the binary packages that you built
from our src.rpm, you can join X.org X11 mailing lists to seek
assistance for getting your binaries to work, or for isolating
problems.  You can also report bugs/problems you encounter to
X.org directly by using the X.org bugzilla bug tracker located
at:  http://bugs.freedesktop.org - choose the "xorg" component.

>Uh, you do expect people to recompile the src rpm's, isn't that why
>they are provided?

The src.rpm packages are provided because Red Hat builds the entire
OS out of open source packages, and we include both binaries
and source code packages to users.  The GPL for example requires
that sources be provided if you provide binaries.  While other
licenses do not require this, Red Hat provides the source code to
everything in the entire OS, wether the particular licenses of
a given piece of software actually require it or not.  (On a side
note, the X11 license does not require you to provide the source

As such, we do provide the sources, and users are free to use those
sources in any way they see fit, as long as they comply to the
license terms that the particular software package is licensed
under.  In some cases, a given package may contain bits and pieces
that are under different licenses, so users who are compiling and/or
modifying the sources in any way, should investigate the specific
detailed licenses of whichever source code packages they are
interested in, to ensure that they are following the license
agreements of the particular sources.

Having said that, while you certainly have the right to download
the source code, wether it is directly from our src.rpm, or directly
from X.org, and you definitely have the right to recompile that
source code, or to modify it in any way that the license terms
of the software permit you to do - we do not have any obligation
to support the resulting recompiled and/or modified software that
you have built yourself.

Note that this is not any change of policy in any way.  Red Hat
does not, and has never offered technical support nor bug tracking
support for user recompiled packages.

> Uh, didn't you state in previous mailing lists that you
> wanted testing on both FC1 and FC2?

I do not specifically recall either way wether I've said that or
not.  It's interesting to me personally to hear on our mailing
lists about people's success and/or failure of Xorg X11 under
different OS releases, wether they are using Red Hat supplied
binaries, or using self-rebuilt rpms.

Red Hat does not however "officially" support xorg-x11 on anything
other than Fedora Core 2 test2.  Any bug being reported about xorg-x11
needs to be confirmed to be a bug in Fedora Core 2 test2 by someone,
using the official binary packages built by Red Hat and included
in the test release.

I do try to keep our X packages in a state that they compile on
different OS releases, and they may actually compile and may
actually work on older OS releases.  I do that only as a convenience
to both myself, and to anyone else who might try to compile it,
in order to hopefully make their life easier, however I do not
support the results.  The sources are provided as-is only.

If it causes too many problems, I'll disable the ability to compile
it on older releases, and hard code requirements of Fedora Core 2
test2 in order to reduce the number of unsupported bug reports, but
I would prefer to not have to do that, as it is useful.

Comment 6 Robert Thomas 2004-04-06 04:32:19 EDT
You can post long winded diatribes which go nowhere, sign your name as
OS Engineer, but yet unable to answer simple questions about the RPM
you maintain.  Instead of addressing the issue, and stating "Hey, I
dont have a clue, I just throw code into an rpm", you detour on this
tangent.  LMAO.


Note You need to log in before you can comment on or make changes to this bug.